* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  position: relative;
  transition: all 0.3s ease-in-out;
}

html {
  scroll-behavior: smooth;
}

body {
  max-width: 100vw;
  font-family: system-ui, -apple-system, 'Open Sans', 'Segoe UI', Roboto,
    'Helvetica Neue', 'Noto Sans', 'Liberation Sans', Arial, sans-serif,
    'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
  background: linear-gradient(180deg, #00000000, #00000050), url('./bg.webp');
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: bottom center;
  color: #fff;
  font-size: 1rem;
  overflow-x: hidden;
}

a {
  text-decoration: none;
  color: inherit;
}

.home {
  position: sticky;
  top: 0;
  left: 0;
  min-width: 100vw;
  min-height: 100vh;
  min-height: 100dvh;
  min-height: 100svh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 60vh;
  margin-bottom: 30vh;
}

.cta {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.btn {
  all: unset;
  box-sizing: border-box;
  padding: 0.5rem 1.2rem;
  background: #fff;
  border-radius: 50px;
  color: #000;
  cursor: pointer;
}

.btn.btn-success {
  background: #66cc33;
  color: #143c00;
  font-weight: 600;
}

.contato {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  background: #00000050;
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
}

@media (min-width: 768px) {
  .contato {
    padding-top: 20vh;
  }
}

.contato-content {
  width: 100%;
  flex-direction: column;
  display: flex;
  justify-content: center;
  align-items: center;
}

.text-contato {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
  margin-bottom: 72px;
}

form {
  max-width: 992px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 12px;
  margin: 0 auto;
  padding: 0 12px;
}

@media (min-width: 768px) {
  form {
    padding: 0;
  }
}

.form-row {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 16px;
}

@media (min-width: 768px) {
  .form-row {
    flex-direction: row;
  }
}

.form-group {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 6px;
}

label {
  color: #fff;
}

textarea,
input {
  all: unset;
  box-sizing: border-box;
  background: #ffffff00;
  border: 1px solid #fff;
  border-radius: 12px;
  padding: 8px 14px;
  color: #fff;
  font-size: 1rem;
  line-height: 140%;
  width: 100%;
}

.copyright {
  text-align: center;
  margin: 10vh 0 32px;
}

@media (min-width: 768px) {
  .copyright {
    margin: 20vh 0 32px;
  }
}

.copyright a {
  text-decoration: underline;
}
